Thank you for your donation!


Official moOde 7.0.0 subthread [Plugins] (e.g. UPNP)
#1
to avoid spamming the main thread, please post your issues considering plugins like upmpdcli here.
Reply
#2
is it easily possible to upgrade moode 7.0 to upmpdcli 1.5.5 to test functionality?

or to downgrade to older version, working well?

do I have to check the dependencies to libraries?
Reply
#3
(12-20-2020, 07:59 PM)zOr7gA8 Wrote: is it easily possible to upgrade moode 7.0 to upmpdcli 1.5.5 to test functionality?

or to downgrade to older version, working well?

do I have to check the dependencies to libraries?

Yes and yes.

I was doing this routinely in prior years.

Have you spent any time on the upmpdcli website? there's build instructions and there's his version of a forum (just one thread) on which the question of Tidal covers has come up before.

There's also the upmpdcli section of the moOde build recipe (included in the ./other/build directory of the source code repo and zip file).

Regards,
Kent
Reply
#4
Best to use the upmpdcli section in the moOde build recipe. Just substitute in your desired source zips.
https://github.com/moode-player/moode/bl..._v2.26.txt
Enjoy the Music!
moodeaudio.org | Twitter Feed | Git Repo
Reply
#5
thanks to both of you. will try. but maybe after xmas ;-) will give feedback.
Reply
#6
Update for the issue of failure of cover transport via bubble_upnp:


I got an answer of bubble-support:

These issues should be largely fixed in upmpdcli 1.5.5.

........................................

so somebody, maybe me should test upmpdcli 1.5.5 with moode 7.0.

would be good if someone else has capacity to test this.
Reply
#7
being curious about testing....I tried to build the test-moode....and I failed ;-)

I got an error at step "building core packages". afterwards booting doesnt work anymore.
will try after xmas.
Reply
#8
It's a long way to work through the build recipe. Still didn't finish.

There are at least 2 packages to substitute:
libupnpp 0.20.1
upmpdcli 1.5.5

First took very long, but could be done succesfully in 2nd attempt.

But upmpdcli couldn't get done. Took ages and seems to get a timeout. But not sure.

Stay tuned, till next year...
Reply
#9
(12-23-2020, 03:05 PM)zOr7gA8 Wrote: It's a long way to work through the build recipe. Still didn't finish.

There are at least 2 packages to substitute:
libupnpp 0.20.1
upmpdcli 1.5.5

First took very long, but could be done succesfully in 2nd attempt.

But upmpdcli couldn't get done. Took ages and seems to get a timeout. But not sure.

Stay tuned, till next year...

As you say, 'til next year. Smile

But I don't recall having such difficulties. 

Working from the command line on a working moOde player (preferably on an RPi4B but model 2s and 3s will work) I could make my way pretty quickly through just "COMPONENT 6 - Upmpdcli" of the build recipe (and then really only steps 2-5) with appropriate changes to use sources downloaded from J-F instead of using the sources in a subdirectory the moOde sources.

Are you doing something different?

Regards,
Kent
Reply
#10
Right, there is no need to do the entire build recipe :-0 just component 6.
Enjoy the Music!
moodeaudio.org | Twitter Feed | Git Repo
Reply


Forum Jump: